@ECHO OFF

ECHO Welcome to the Pecan 2 installer!
IF EXIST "root" (
ECHO Please remove "root" folder.
PAUSE
EXIT
)
PAUSE
ECHO Extracting Vanilla Pikmin 2 iso...
"wit/WIT.exe" extract %1 --dest root --verbose
ECHO Vanilla iso extracted...
XCOPY /y "..\Patch\pikmin2\message\mesres_engUS.szs" 			     "root\DATA\files\pikmin2\message\mesres_engUS.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\res_course_name00.szs"  "root\DATA\files\pikmin2\new_screen\engUS\res_course_name00.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\res_course_name01.szs"  "root\DATA\files\pikmin2\new_screen\engUS\res_course_name01.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\res_course_name02.szs"  "root\DATA\files\pikmin2\new_screen\engUS\res_course_name02.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\res_course_name03.szs"  "root\DATA\files\pikmin2\new_screen\engUS\res_course_name03.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\res_ground.szs" 		 "root\DATA\files\pikmin2\new_screen\engUS\res_ground.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\result_title_new.szs"   "root\DATA\files\pikmin2\new_screen\engUS\result_title_new.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\gameover_louie.szs"     "root\DATA\files\pikmin2\new_screen\engUS\gameover_louie.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\res_orimadown.szs"    	 "root\DATA\files\pikmin2\new_screen\engUS\res_orimadown.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\res_presidentdown.szs"  "root\DATA\files\pikmin2\new_screen\engUS\res_presidentdown.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\res_pikmindown.szs"     "root\DATA\files\pikmin2\new_screen\engUS\res_pikmindown.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\title.szs"    			 "root\DATA\files\pikmin2\new_screen\engUS\title.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\result_fuetaheta.szs"   "root\DATA\files\pikmin2\new_screen\engUS\result_fuetaheta.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\result_item.szs"    	 "root\DATA\files\pikmin2\new_screen\engUS\result_item.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\win_lose_reason.szs"    "root\DATA\files\pikmin2\new_screen\engUS\win_lose_reason.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\final_floor.szs"        "root\DATA\files\pikmin2\new_screen\engUS\final_floor.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\hensai_demo_kanryo.szs" "root\DATA\files\pikmin2\new_screen\engUS\hensai_demo_kanryo.szs"
XCOPY /y "..\Patch\pikmin2\new_screen\engUS\hensai_demo_parsent.szs" "root\DATA\files\pikmin2\new_screen\engUS\hensai_demo_parsent.szs"
XCOPY /y "..\Patch\pikmin2\user\Ebisawa\title\title.szs" 		     "root\DATA\files\pikmin2\user\Ebisawa\title\title.szs"
XCOPY /y "..\Patch\pikmin2\user\Yamashita\arc\boot_us.szs" 	     "root\DATA\files\pikmin2\user\Yamashita\arc\boot_us.szs"
XCOPY /y "..\Patch\pikmin2\opening.bnr" 						     "root\DATA\files\pikmin2\opening.bnr"
XCOPY /y "..\Patch\Wii_Strap_reminder\strapA_608x456_eng.bti"	      "root\DATA\files\Wii_Strap_Reminder\us\bti\strapA_608x456_eng.bti" 
XCOPY /y "..\Patch\Wii_Strap_reminder\strapA_16_9_832x456_eng.bti" 	  "root\DATA\files\Wii_Strap_Reminder\us\bti\strapA_16_9_832x456_eng.bti" 
XCOPY /y "..\Patch\Wii_Strap_reminder\strapB_608x456_eng.bti"	      "root\DATA\files\Wii_Strap_Reminder\us\bti\strapB_608x456_eng.bti"
XCOPY /y "..\Patch\Wii_Strap_reminder\strapB_16_9_832x456_eng.bti"	  "root\DATA\files\Wii_Strap_Reminder\us\bti\strapB_16_9_832x456_eng.bti" 
ECHO Now building new iso...
"wit/WIT.exe" copy root --DEST Pecan2_NPC.iso
rd /s /q "root"
ECHO done! :)
PAUSE